echo	"System Information Retrieval Utility Version 1.0 Build 1"
echo	"Copyright (c) 2010 Intel Corporation"
echo
echo
echo
echo
echo "-------------------------------------------"
echo Platform Firmware Inventory
echo "-------------------------------------------"
./backend -d fwinventory
echo
echo
echo
echo "-------------------------------------------"
echo System Sensor Display
echo "-------------------------------------------"
./backend -d sensor
echo
echo
echo
echo "-------------------------------------------"
echo "Sensor Data Records"
echo "-------------------------------------------"
echo
./backend -d sdr
echo
echo
echo
echo "-------------------------------------------"
echo "BMC SEL (IN HUMAN READABLE FORM)"
echo "-------------------------------------------"
echo
./backend -d sel
echo
echo
echo
echo "-------------------------------------------"
echo "BMC SEL (IN HEX FORM)"
echo "-------------------------------------------"
echo
./backend -d -hex sel
echo
echo
echo
echo "-------------------------------------------"
echo "System FRU"
echo "-------------------------------------------"
echo
./backend -d fru
echo
echo
echo
echo "-------------------------------------------"
echo "System Boot Order"
echo "-------------------------------------------"
echo
./backend -d bootorder
echo
echo
echo
echo "-------------------------------------------"
echo "BMC User Settings"
echo "-------------------------------------------"
./backend -d user 1 -d user 2 -d user 3 -d user 4 -d user 5 -d user 6 -d user 7 -d user 8 -d user 9 -d user 10 -d user 11 -d user 12 -d user 13 -d user 14 -d user 15
echo
echo
echo
echo "-------------------------------------------"
echo "BMC LAN Channel Settings"
echo "-------------------------------------------"
echo
./backend -d lan 1 -d lan 3
echo
echo
echo
echo "-------------------------------------------"
echo "BMC SOL Channel Settings"
echo "-------------------------------------------"
echo
./backend -d sol 1 -d sol 3
echo
echo
echo
echo "-------------------------------------------"
echo "BMC Power Restore Policy Settings"
echo "-------------------------------------------"
echo
./backend -d power
echo
echo
echo
echo "-------------------------------------------"
echo "BMC channel settings"
echo "-------------------------------------------"
echo
./backend -d channel 1 -d channel 3
echo
echo
echo
echo "-------------------------------------------"
echo "SMBIOS Type 1, Type 2, Type 3"
echo "-------------------------------------------"
echo
./backend -d smb
echo
echo
echo "-------------------------------------------"
echo "Processor"
echo "-------------------------------------------"
echo
./backend -d processor
echo
echo
echo "-------------------------------------------"
echo "Memory"
echo "-------------------------------------------"
echo
./backend -d memory
echo
echo
echo "-------------------------------------------"
echo "OS Information"
echo "-------------------------------------------"
echo
./backend -d osinfo
echo
echo
echo "-------------------------------------------"
echo "List of Kernel modules (Drivers) installed"
echo "-------------------------------------------"
echo
./backend -d drivers
echo
echo
echo "-------------------------------------------"
echo "List of S/W installed"
echo "-------------------------------------------"
echo
./backend -d software
echo
echo
echo "-------------------------------------------"
echo "BIOS Settings (per BIOS SETUP F2 screen)"
echo "-------------------------------------------"
echo
./backend -d biossettings group Main "Quiet Boot" "Post Error Pause" -d biossettings group "Processor Configuration" "Intel (R) Turbo Boost Technology" "Enhanced Intel SpeedStep (R) Tech" "Processor C3" "Processor C6" "Intel (R) Hyper-Threading Tech" "Core Multi-Processing" "Execute Disable Bit" "Intel (R) Virtualization Technology" "MLC Streamer" "MLC Spatial Prefetcher" "DCU Data Prefetcher" "DCU Instruction Prefetcher" "DCU Mode" -d biossettings group "Mass Storage Controller Configuration" "Onboard SATA Controller(s)" "Configure SATA Mode" -d biossettings group "PCI Configuration" "Memory Mapped I/O above 4GB" "Onboard Video" "Dual Monitor Video" "Wake on LAN (PME)" "Onboard NIC ROM" "Onboard NIC2 ROM" -d biossettings group "Serial Port Configuration" "Serial A Enable" "Address" "IRQ" "Serial B Enable" "Address" "IRQ" -d biossettings group "USB Configuration" "USB Controller" "Legacy USB Support" "Port 60/64 Emulation" "Make USB Devices Non-Bootable"  -d biossettings group "System Acoustic and Performance Configuration" "Set Throttling Mode" "Altitude" "Set Fan Profile" -d biossettings group "Boot Options" "EFI Optimized Boot" "USB Boot Priority"  -d biossettings group Security "Front Panel Lockout" -d biossettings group "Server Management" "Assert NMI on SERR" "Assert NMI on PERR" "Resume on AC Power LOSS" "Clear System Event Log" "FRB-2 Enable" "OS Boot Watchdog Timer"   

./backend -d biossettings "Intel(R) VT for Directed I/O" 
./backend -d biossettings "Device Reset timeout"
./backend -d biossettings "Boot Option Retry"
./backend -d biossettings "Plug & Play BMC Detection"
./backend -d biossettings "Eu Lot6 Enable"
echo
echo